Change Log and History
======================

## Version 0.0.4 / 2011-11-15

This updated added the ability to support frames and iframes. This functionality still has to be vetted. This update also extended the web objects mechanism to be platform specific so that each platform can perform certain checks or queries on web objects.

* Web Objects Supported:
  * Frames
  * iFrames

* Web Object Queries Supported:
  * Check if visible
  * Check if exists


## Version 0.0.3 / 2011-11-14

This update put in place the basic functionality of allowing the platform object to query and manipulate objects. This required the creation of a web object structure. Here "web objects" refer to any elements that appear on a browser web page. When I say "query" these objects, I essentially mean checking if they in fact exist. When I say "manipulate" these objects, I mean do something with them, such as click them or enter information into them. Each platform object has its own identification mechanisms in place.

* Web Objects Supported:
  * Links
  * Text Fields
  * Buttons


## Version 0.0.2 / 2011-11-13

Platform object structure added. This allows browsers to be associated with a particular driver. That combination is called a "platform object." It's this object that directs the execution of tests against the browser. A full RSpec and Cucumber testing infrastructure has been added. The Cucumber file layout will match what users of the gem would have to create.

* Browser-Level Actions Supported:
  * navigate to

* Page-Level Actions Supported:
  * title
  * text

## Version 0.0.1 / 2011-11-12

Initial creation of the gem framework.
