$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '../../', 'lib'))

require 'watir-webdriver'
require 'selenium-webdriver'

require "spectest"

module SpecTest
  module Browser
    @browser = false

    def self.start
      unless @browser
        @browser = Watir::Browser.new(ENV['BROWSER']) if ENV['DRIVER'] == 'watir'
        @browser = Selenium::WebDriver.for(ENV['BROWSER'].to_sym) if ENV['DRIVER'] == 'selenium'
      end
      return @browser
    end

    def self.stop
      @browser.quit if @browser
    end
  end
end