Before do
  @browser = SpecTest::Browser.start
end

After do |scenario|
  # I don't believe the following line works at all because I don't think Cucumber
  # (on Windows at least) actually runs the After logic unless a scenario is either
  # failing or succeeding. I'll keep this line in until I can investigate further.
  #@KEEP_OPEN = true if scenario.status == :pending or scenario.status == :undefined
end

AfterConfiguration do |config|
  puts("Tests are being executed from: #{config.feature_dirs}")
end

at_exit do
  SpecTest::Browser.stop if not @KEEP_OPEN
end