Feature: Ability to support links.

  As a test writer
  I need the ability to click on links
  so that I can use link-based navigation while testing.

  As a test writer
  I need to locate links on a page with different selectors
  so that I can trawl a page to find needed links
  and so that I can handle changes to links when they occur.
  
  Background:
    Given I am on the landing page

  Scenario: Selecting a link. (Specific test step.)
    When I select the static text examples link
    Then I should be on the static text examples page

  Scenario: Selecting a link. (Generic test step.)
    When I select the "Static Text Examples" link
    Then I should be on the static text examples page

  Scenario: Finding a link (with a single parameter).
    When I look for the "Form Examples" link
    Then I should find that the link exists
    And I should find that the link is visible