# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "spectest/version"

Gem::Specification.new do |s|
  s.name        = "spectest"
  s.version     = SpecTest::VERSION
  s.platform    = Gem::Platform::RUBY
  s.license     = "MIT"
  s.authors     = ["Jeff Nyman"]
  s.email       = ["jeffnyman@gmail.com"]
  s.homepage    = "https://github.com/jnyman/spectest"
  s.summary     = %q{Acceptance Test Specification and Execution Framework}
  s.description = %q{Test framework for specifying tests and executing tests.}

  s.required_ruby_version = '>= 1.9.2'
  s.rubyforge_project = "spectest"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,specs}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_runtime_dependency 'watir-webdriver', '>= 0.3.9'
  s.add_runtime_dependency 'selenium-webdriver', '>= 2.12.1'

  s.add_development_dependency 'rspec', '>= 2.7.0'
  s.add_development_dependency 'cucumber', '>= 1.1.2'
  s.add_development_dependency 'simplecov', '>= 0.5.4'
end
